Package org.pushingpixels.substance.internal.utils

# Enum Class SubstanceTitlePane.ExtraComponentKind

java.lang.Object
java.lang.Enum<SubstanceTitlePane.ExtraComponentKind>
org.pushingpixels.substance.internal.utils.SubstanceTitlePane.ExtraComponentKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceTitlePane.ExtraComponentKind>`, `Constable`

Enclosing class:
  `SubstanceTitlePane`

protected static enum SubstanceTitlePane.ExtraComponentKind extends Enum<SubstanceTitlePane.ExtraComponentKind>
Enumerates the types of children components.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEADING`
Leading child components (left on LTR and right on RTL).
`MIDDLING`
Middeling child compoennt, will jostle for position with the title text subclasses are responsible for the placement
`TRAILING`
Trailing child components (right on LTR and left on RTL).

## Method Summary

Modifier and Type
Method
Description
`static SubstanceTitlePane.ExtraComponentKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceTitlePane.ExtraComponentKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEADING

public static final SubstanceTitlePane.ExtraComponentKind LEADING
Leading child components (left on LTR and right on RTL).

### TRAILING

public static final SubstanceTitlePane.ExtraComponentKind TRAILING
Trailing child components (right on LTR and left on RTL).

### MIDDLING

public static final SubstanceTitlePane.ExtraComponentKind MIDDLING
Middeling child compoennt, will jostle for position with the title text subclasses are responsible for the placement

## Method Details

### values

public static SubstanceTitlePane.ExtraComponentKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceTitlePane.ExtraComponentKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null